//+------------------------------------------------------------------+
//|                                       AvoidTheNewsTesterV0_1.mq4 |
//|                                               Paul Hampton-Smith |
//+------------------------------------------------------------------+

#include <AvoidTheNewsV0_1.mqh>

int init()
{
   Comment("Waiting for tick");
}

int deinit()
{
   Comment("");
}

int start() // called for every tick
{
   string strNextNews;
   datetime NewsTimeServer;
   
   if ( NewsEvent(5,strNextNews,NewsTimeServer) ) 
      Comment("Within 5 minutes of news event ",strNextNews,"\n   At server time: ",TimeToStr(NewsTimeServer),"\n      At local time: ",TimeToStr(NewsTimeServer+LocalTimeDifference()));
   else if (NewsTimeServer != 0)
      Comment("Next news event: ",strNextNews,"\n   At server time: ",TimeToStr(NewsTimeServer),"\n      At local time: ",TimeToStr(NewsTimeServer+LocalTimeDifference()));
   else
      Comment("No future news event recorded for ",Symbol());
   
   return(0);
}

